## prism 0.0.7

=== DESCRIPTION ===
Package: prism
Type: Package
Title: Access Data from the Oregon State Prism Climate Project
Description: Allows users to access the Oregon State Prism climate data. Using the web service API data can easily downloaded in bulk and loaded into R for spatial analysis. Some user friendly visualizations are also provided.
URL: http://github.com/ropensci/prism
BugReports: http://github.com/ropensci/prism/issues
Version: 0.0.7
Date: 2015-11-11
Authors@R: c(person("Hart", "Edmund", role = c("aut","cre"),email =
    "Edmund.m.hart@gmail.com"),
    person("Kendon", "Bell", role = c("aut"),
    email = "kmb56@berkeley.edu") )
License: MIT + file LICENSE
Imports: ggplot2, raster, httr
LazyLoad: yes
LazyData: yes
VignetteBuilder: knitr
Suggests: testthat, knitr
Packaged: 2015-11-16 04:16:38 UTC; edmundhart
Author: Hart Edmund [aut, cre],
  Kendon Bell [aut]
Maintainer: Hart Edmund <Edmund.m.hart@gmail.com>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-11-16 08:20:18
