## prism 0.1.0

=== DESCRIPTION ===
Package: prism
Title: Access Data from the Oregon State Prism Climate Project
Description: Allows users to access the Oregon State Prism climate data. Using
    the web service API data can easily downloaded in bulk and loaded into R for
    spatial analysis. Some user friendly visualizations are also provided.
URL: http://github.com/ropensci/prism
BugReports: http://github.com/ropensci/prism/issues
Version: 0.1.0
Authors@R: c(
    person("Hart", "Edmund", email ="Edmund.m.hart@gmail.com",role = c("aut", "ccp")),
    person("Kendon", "Bell", email = "kmb56@berkeley.edu", role = c("aut")),
    person("Alan", "Butler", ,"rabutler@usbr.gov", c("ctb","cre"))
    )
License: MIT + file LICENSE
Imports: ggplot2, lubridate, raster, httr, dplyr, stringr, magrittr,
        purrr, readr, utils
LazyLoad: yes
LazyData: yes
VignetteBuilder: knitr
Suggests: covr, knitr, testthat
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-12-10 19:02:09 UTC; RAButler
Author: Hart Edmund [aut, ccp],
  Kendon Bell [aut],
  Alan Butler [ctb, cre]
Maintainer: Alan Butler <rabutler@usbr.gov>
Repository: CRAN
Date/Publication: 2018-12-10 22:00:04 UTC
