## prism 0.2.0

=== DESCRIPTION ===
Package: prism
Title: Access Data from the Oregon State Prism Climate Project
Description: Allows users to access the Oregon State Prism climate data
    (<https://prism.nacse.org/>). Using the web service API data
    can easily downloaded in bulk and loaded into R for spatial analysis.
    Some user friendly visualizations are also provided.
URL: https://docs.ropensci.org/prism/,
        https://github.com/ropensci/prism
BugReports: https://github.com/ropensci/prism/issues
Version: 0.2.0
Authors@R: c(
    person("Hart", "Edmund", email ="Edmund.m.hart@gmail.com",role = c("aut", "ccp")),
    person("Kendon", "Bell", email = "kmb56@berkeley.edu", role = c("aut")),
    person("Alan", "Butler", ,"rabutler@usbr.gov", c("ctb","cre"))
    )
License: MIT + file LICENSE
Imports: ggplot2, lubridate, raster, httr, dplyr, stringr, magrittr,
        purrr, readr, utils
LazyLoad: yes
LazyData: yes
VignetteBuilder: knitr
Suggests: covr, knitr, rmarkdown, testthat (>= 2.1.0)
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-12-05 18:39:46 UTC; RAButler
Author: Hart Edmund [aut, ccp],
  Kendon Bell [aut],
  Alan Butler [ctb, cre]
Maintainer: Alan Butler <rabutler@usbr.gov>
Repository: CRAN
Date/Publication: 2020-12-05 22:50:03 UTC
