## prism 0.2.1

=== DESCRIPTION ===
Package: prism
Title: Access Data from the Oregon State Prism Climate Project
Description: Allows users to access the Oregon State Prism climate data
    (<https://prism.nacse.org/>). Using the web service API data
    can easily downloaded in bulk and loaded into R for spatial analysis.
    Some user friendly visualizations are also provided.
URL: https://docs.ropensci.org/prism/,
        https://github.com/ropensci/prism
BugReports: https://github.com/ropensci/prism/issues
Version: 0.2.1
Authors@R: c(
    person("Hart", "Edmund", email ="Edmund.m.hart@gmail.com",role = c("aut", "ccp")),
    person("Kendon", "Bell", email = "kmb56@berkeley.edu", role = c("aut")),
    person(given = "Alan", family = "Butler", email = "rabutler@usbr.gov", 
    role = c("ctb","cre"),comment = c(ORCID = "0000-0002-8625-6386"))
    )
License: MIT + file LICENSE
Imports: ggplot2, raster, httr, dplyr, stringr, magrittr, readr, utils
VignetteBuilder: knitr
Suggests: covr, knitr, rmarkdown, testthat (>= 2.1.0)
RoxygenNote: 7.2.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-10-18 03:41:45 UTC; RAButler
Author: Hart Edmund [aut, ccp],
  Kendon Bell [aut],
  Alan Butler [ctb, cre] (<https://orcid.org/0000-0002-8625-6386>)
Maintainer: Alan Butler <rabutler@usbr.gov>
Repository: CRAN
Date/Publication: 2023-10-18 04:30:02 UTC
