## prism 0.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
 URL: https://docs.ropensci.org/prism/,
         https://github.com/ropensci/prism
 BugReports: https://github.com/ropensci/prism/issues
-Version: 0.2.1
+Version: 0.2.2
 Authors@R: c(
     person("Hart", "Edmund", email ="Edmund.m.hart@gmail.com",role = c("aut", "ccp")),
     person("Kendon", "Bell", email = "kmb56@berkeley.edu", role = c("aut")),
@@ -18,13 +18,13 @@
 Imports: ggplot2, raster, httr, dplyr, stringr, magrittr, readr, utils
 VignetteBuilder: knitr
 Suggests: covr, knitr, rmarkdown, testthat (>= 2.1.0)
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2023-10-18 03:41:45 UTC; RAButler
+Packaged: 2025-03-18 19:37:56 UTC; RAButler
 Author: Hart Edmund [aut, ccp],
   Kendon Bell [aut],
   Alan Butler [ctb, cre] (<https://orcid.org/0000-0002-8625-6386>)
 Maintainer: Alan Butler <rabutler@usbr.gov>
 Repository: CRAN
-Date/Publication: 2023-10-18 04:30:02 UTC
+Date/Publication: 2025-03-18 20:30:01 UTC
