## prism 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -7,7 +7,7 @@
 URL: https://docs.ropensci.org/prism/,
         https://github.com/ropensci/prism
 BugReports: https://github.com/ropensci/prism/issues
-Version: 0.2.2
+Version: 0.2.3
 Authors@R: c(
     person("Hart", "Edmund", email ="Edmund.m.hart@gmail.com",role = c("aut", "ccp")),
     person("Kendon", "Bell", email = "kmb56@berkeley.edu", role = c("aut")),
@@ -21,10 +21,10 @@
 RoxygenNote: 7.3.2
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2025-03-18 19:37:56 UTC; RAButler
+Packaged: 2025-03-24 17:43:59 UTC; RAButler
 Author: Hart Edmund [aut, ccp],
   Kendon Bell [aut],
   Alan Butler [ctb, cre] (<https://orcid.org/0000-0002-8625-6386>)
 Maintainer: Alan Butler <rabutler@usbr.gov>
 Repository: CRAN
-Date/Publication: 2025-03-18 20:30:01 UTC
+Date/Publication: 2025-03-25 15:50:05 UTC
