## prism 1.0b2+svn20090813r49078jolicloud7

=== debian/changelog ===
prism (1.0b2+svn20090813r49078jolicloud7) robby; urgency=low

  * remove Prism desktop shortcut

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 21 Apr 2010 13:27:32 +0200

prism (1.0b2+svn20090813r49078jolicloud6) robby; urgency=low

  * Default system specific preferences
  * set default window geometry to 1024x576
  * remove sample webapps

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 20 Apr 2010 18:41:39 +0200

prism (1.0~b2+svn20090813r49078-0ubuntu1) karmic; urgency=low

  [ Sasa Bodiroza <jazzva@gmail.com> ]
  * Remove debian/patches/remove_common_dir_from_prism_Makefile_in_DIRS.patch,
    because it is applied upstream
  * In debian/rules:
    - link $(DEBIAN_PRISM_DIR) to /usr/share/prism/prism in debian/rules
    - remove prism/* from refractor.xpi
  * new upstream codebase; update patches
    - debian/patches/use_xul_1.9_only.patch
  * Add debian/patches/remove_common_dir_from_prism_Makefile_in_DIRS.patch
    to remove "common" from DIRS variable in prism/Makefile.in

  [ Micah Gersten <launchpad@micahscomputing.com> ]
  * Closes LP: #246822 - Update Prism to at least 1.0b1
  * Closes LP: #456650 - prism depends on xulrunner-1.9.1-dom-inspector which doesn't exist
  * Closes LP: #456999 - prism 0.8 version in karmic is hardcoded to xul-1.9
    - update debian/control
      * add libasound2 as build-dep
      * add depends on ${shlibs:Depends}, ${misc:Depends}
    - update debian/rules
    - update debian/patches/installer_shouldnt_copy_xulrunner.patch
    - update debian/series
    - add debian/patches/fix_prism_makefile_sh.patch
    - add debian/patches/use_xul_1.9.1_only.patch
    - drop debian/patches/use_xul_1.9_only.patch

  [ Alexander Sack <asac@ubuntu.com> ]
  * dont install prism-runtime extension bits anymore; seems this is not produced
    anymore by build
    - update debian/prism.install
  * fix build breakage, by copying the refractor.xpi to top level dir; adjust MOZ_XPI_FILE
    accordingly and remove the file during clean::
    - update debian/rules
  * new upstream codebase; update patches
    - debian/patches/dont_build_our_own_stub_with_the_sdk.patch
    - debian/patches/installer_shouldnt_copy_xulrunner.patch
  * ship prism-addons/extensions dir to fix dangling symlink
    - update debian/rules
  * fix prism not starting; we have to ship the components/ and defaults/ directories
    in the prism xulapp dir too
    - update debian/prism.install

  [ Fabien Tassin <fta@ubuntu.com> ]
  * New packaging using cdbs and the new xulapp build-system from
    mozilla-devscripts and xulrunner-1.9-dev. The main package is now using
    Architecture = any. Extensions are now searched for in
    /usr/lib/prism-addons/extensions and /usr/lib/xulrunner-addons/extensions
    now that it is built with --with-libxul-sdk. webapps are patched to
    include the new mandatory name field in webapp.ini, and to ship
    an override.ini file allowing each webapp to have its own profile
    - update debian/rules
    - update debian/control
    - update debian/update-apps.sh
    - update debian/prism.sh
    - remove debian/prism.{links,dirs}
    - remove debian/prism.png.uu
    - update debian/patches/fix_desktop_launcher.patch
    - add debian/patches/fix_installer.patch
    - add debian/patches/installer_shouldnt_copy_xulrunner.patch
    - update debian/patches/series
  * Add the refractor extension in the main prism package. This requires
    a fresh mozilla-devscripts. Bump MaxVersion to 3.0.* for firefox.
    - update debian/rules
    - update debian/control
    - add debian/patches/bump_refractor_max_version.patch
    - update debian/patches/series
  * Build with --with-system-nspr/nss, this is now necessary as upstream
    now needs include files
    - update debian/rules
  * Don't build a prism-stub when building with the SDK
    - add debian/patches/dont_build_our_own_stub_with_the_sdk.patch
    - update debian/patches/series
  * Set MaxVersion to 1.9.0.* as 1.9.1 is no longer usable
    since https://bugzilla.mozilla.org/show_bug.cgi?id=462774 landed
    - add debian/patches/use_xul_1.9_only.patch
    - update debian/patches/series
  * Remove patches no longer needed:
    - drop debian/patches/remove_scriptableio.patch
    - drop debian/patches/use_png_for_windows_icons_on_linux.patch
    - drop debian/patches/bump_refractor_max_version.patch
    - update debian/patches/series

 -- Micah Gersten <launchpad@micahscomputing.com>  Sun, 25 Oct 2009 01:16:02 -0500

prism (0.8+svn20071115r8030-0ubuntu3) hardy; urgency=low

  * Use PNG instead of deprecated XPM for windows icons (LP: #205782, #206180)
    Build-depends on zip, imagemagic (convert) and shareutils (uudecode)
    - add debian/patches/use_png_for_windows_icons_on_linux.patch
    - update debian/patches/series
    - add debian/prism.png.uu
    - update debian/control
    - update debian/rules
    - update debian/prism-*.install
    - update debian/update-apps.sh

 -- Fabien Tassin <fta@sofaraway.org>  Mon, 24 Mar 2008 16:39:37 +0100

prism (0.8+svn20071115r8030-0ubuntu2) hardy; urgency=low

  * Bump Standards-Version to 3.7.3
    - update debian/control
  * Bump debhelper requirement to (>= 5.0.51~) because of dh_icons
    - update debian/control
  * Fix desktop icons created by prism (LP: #196861)
    Thanks to Michael Chang <thenewme91@gmail.com>
    - update debian/patches/fix_desktop_launcher.patch
  * Updated desktop file categories (LP: #180879)
    Thanks to Dean Sas <dean@deansas.org>
    - update debian/prism-google-*.desktop
  * Update update-apps.sh to handle desktop file categories
    - update debian/update-apps.sh
    - update debian/rules
  * Update prism-google-groups.desktop category too
    - update debian/prism-google-groups.desktop
  * Restore auto-save of webapps size and position broken since ScriptableIO
    has been dropped from xulrunner-1.9 (at beta 3).
    - add debian/patches/remove_scriptableio.patch
    - update debian/patches/series

