=== debian/control ===
Source: prism
Section: net
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/prism/prism
Homepage: http://wiki.mozilla.org/Prism
Build-Depends: debhelper (>= 5.0.51~),
	cdbs,
	autoconf2.13,
	pkg-config,
	libgtk2.0-dev (>= 2.10),
	libgnomevfs2-dev,
	libdbus-glib-1-dev (>= 0.60),
	libxt-dev,
	quilt,
	unzip,
	zip,
	sharutils,
	imagemagick,
	libasound2-dev,
	mozilla-devscripts (>= 0.11~),
	xulrunner-1.9.1-dev 
Standards-Version: 3.7.3

Package: prism
Section: net
Architecture: any
Depends: xulrunner-1.9.1, unzip, ${shlibs:Depends}, ${misc:Depends}
Description: Split web applications out of the browser and run them directly on the desktop
 Prism, previously called WebRunner, is a simple XULRunner based browser that
 hosts web applications without the normal web browser user interface. It is
 based on a concept called Site Specific Browsers (SSB).
 .
 XULRunner is a single "gecko runtime" that can be used to bootstrap
 multiple XUL + XPCOM applications that are as rich as Firefox and
 Thunderbird.

Package: prism-facebook
Section: net
Architecture: all
Depends: prism
Homepage: http://www.facebook.com/
Description: Facebook WebApp for Prism
 Facebook WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.
