## prism 1.0b3+svn20100210r62050-0ubuntu3nanjing-natty1

=== debian/changelog ===
prism (1.0b3+svn20100210r62050-0ubuntu3nanjing-natty1) natty; urgency=low

  * rebuild for natty

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 05 Apr 2011 12:19:52 -0400

prism (1.0b3+svn20100210r62050-0ubuntu3) maverick; urgency=low

  * correct previous mistake, forgot to add prism-qq in debian/control 

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Tue, 05 Oct 2010 18:50:21 +0800

prism (1.0b3+svn20100210r62050-0ubuntu2) maverick; urgency=low

  * Add qq support
  * convert package system to use format 3.0 

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Tue, 05 Oct 2010 16:38:52 +0800

prism (1.0b3+svn20100210r62050-0ubuntu1) lucid; urgency=low

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Drop patch after upstream landing of (bmo: 527827) aka
    Build fails because prism/Makefile is missing in makefiles.sh
    - drop debian/patches/fix_prism_makefile_sh.patch
    - update debian/patches/series
  * fix LP: #504524 - migrate from mozilla-devscripts to in package mozclient
    - add debian/mozclient/prism.conf
    - add debian/mozclient/prism.mk
    - update debian/rules
  * Migrate from xulrunner-1.9.1 to xulrunner-1.9.2 (LP: #543708)
   - rename debian/patches/use_xul_1.9.1_only.patch => debian/patches/use_xul_1.9.2_only.patch
   - update debian/patches/use_xul_1.9.2_only.patch
   - update debian/control
   - update debian/patches/series
   - update debian/rules
  * Have make clean delete .so files as well
    - update debian/rules
  * Add clean target to rules to clean up for the changes for xulrunner 1.9.2
    build system until we can get mozilla-devscripts 0.21 uploaded
    - update debian/rules
  * Add README.source for tarball generation, patching, and source format
    - add debian/prism.docs
    - add debian/README.source
  * Add ${xpi:Provides}, ${xpi:Recommends}, ${xpi:Enhances}
    - update debian/control

  [ Benjamin Drung <bdrung@ubuntu.com> ]
  * Add ${misc:Depends} to all packages.
    - update debian/control
  * Remove duplicate source binary control field.
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 22 Mar 2010 19:57:27 -0500

prism (1.0~b2+svn20090813r49078-0ubuntu2) lucid; urgency=low

  * Clean the package properly in the clean target (LP: #460466).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 07 Jan 2010 23:38:47 +0100
