=== debian/control ===
Source: prism
Section: net
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.edge.launchpad.net/~oem-solutions-group/nanjing/prism
Homepage: http://wiki.mozilla.org/Prism
Build-Depends: debhelper (>= 5.0.51~),
	cdbs,
	autoconf2.13,
	pkg-config,
	libgtk2.0-dev (>= 2.10),
	libgnomevfs2-dev,
	libdbus-glib-1-dev (>= 0.60),
	libxt-dev,
	quilt,
	unzip,
	zip,
	sharutils,
	imagemagick,
	libasound2-dev,
	mozilla-devscripts (>= 0.11~),
	xulrunner-1.9.2-dev 
Standards-Version: 3.7.3

Package: prism
Architecture: any
Depends: xulrunner-1.9.2, unzip, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: Split web applications out of the browser and run them directly on the desktop
 Prism, previously called WebRunner, is a simple XULRunner based browser that
 hosts web applications without the normal web browser user interface. It is
 based on a concept called Site Specific Browsers (SSB).
 .
 XULRunner is a single "gecko runtime" that can be used to bootstrap
 multiple XUL + XPCOM applications that are as rich as Firefox and
 Thunderbird.

Package: prism-facebook
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://www.facebook.com/
Description: Facebook WebApp for Prism
 Facebook WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-analytics
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://analytics.google.com/
Description: Google Analytics WebApp for Prism
 Google Analytics WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-calendar
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: https://www.google.com/calendar
Description: Google Calendar WebApp for Prism
 Google Calendar WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-docs
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: https://docs.google.com/
Description: Google Docs WebApp for Prism
 Google Docs WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-mail
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: https://mail.google.com/
Description: Google Mail (GMail) WebApp for Prism
 Google Mail (GMail) WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-reader
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: https://www.google.com/reader
Description: Google Reader WebApp for Prism
 Google Reader WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-groups
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://groups.google.com/groups/favorites
Description: Google Groups WebApp for Prism
 Google Groups WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-google-talk
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://talkgadget.google.com/talkgadget/popout
Description: Google Talk WebApp for Prism
 Google Talk WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-twitter
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://www.twitter.com/
Description: twitter WebApp for Prism
 twitter WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.

Package: prism-qq
Architecture: all
Depends: prism, ${misc:Depends}
Homepage: http://web2.qq.com/
Description: QQ WebApp for Prism
 QQ WebApp is a Web Application using Prism, a simple
 XULRunner browser for web applications.
