=== debian/rules ===
--- 
+++ 
@@ -6,19 +6,22 @@
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-DEBIAN_XUL_VER   := $(shell xulrunner-1.9.1 --gre-version)
+DEBIAN_NAME       = prism
+DEBIAN_XUL_VER   := $(shell xulrunner-1.9.2 --gre-version)
 DEBIAN_XUL_DEV   := /usr/lib/xulrunner-devel-$(DEBIAN_XUL_VER)
 DEBIAN_PRISM_VER  = $(shell grep ^MOZ_APP_VERSION= prism/confvars.sh | cut -d= -f2)
 DEBIAN_PRISM_DIR  = usr/lib/prism-$(DEBIAN_PRISM_VER)
 
 DEB_AUTO_UPDATE_AUTOCONF = 2.13
 
+MOZCLIENT_PROJECTNAME   := $(DEBIAN_NAME)
+MOZCLIENT_PROJECTDIR    := $(CURDIR)/debian/mozclient
 MOZ_XPI_BUILD_COMMAND	:= $(NULL)
 
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/mozilla-devscripts/prism.mk
+include $(CURDIR)/debian/mozclient/$(DEBIAN_NAME).mk
 include /usr/share/mozilla-devscripts/xpi.mk
 
 DEB_CONFIGURE_USER_FLAGS = \
@@ -42,11 +45,17 @@
 	"google-groups@groups@Google~Groups@http://groups.google.com/groups/favorites@GTK;Network;News;" \
 	"google-talk@gtalk@Google~Talk@http://talkgadget.google.com/talkgadget/popout@GTK;Network;InstantMessaging;" \
 	"twitter@twitter@twitter@http://www.twitter.com/@GTK;Network;" \
+	"qq@qq@QQ@http://web2.qq.com;" \
 	$(NULL)
 
 ALL_WEBAPPS = $(shell echo $(WEBAPPS) | sed -e 's/\([^@]*\)@[^ ]*\( *\)/\1\2/g')
 
+clean::
+	rm -rf testing tools
+	rm -rf prism/install/profiles/qq.webapp
+
 build/prism::
+	cp -f debian/webapp/qq.webapp prism/install/profiles/
 	cp -f dist/xpi-stage/refractor.xpi .
 
 binary-install/prism::
@@ -111,3 +120,7 @@
 clean::
 	rm -f debian/prism-*.png
 	rm -f refractor.xpi
+	find -type f \( -name '*.a' -o -name '*.o' -o -name '*.xpt' -o -name Makefile -o -name '*.so' \) -delete
+	rm -rf _leaktest
+	rm -rf prism/components/public/.deps prism/components/public/_xpidlgen
+	rm -rf prism/components/src/.deps
